body {
	font-family: 'Source Code Pro', sans-serif;
	font-size: 14px;
	background-color:#191919;
	color: #fff;
	margin: 0;
}
table { font-size: 14px; }
h1,h2,h3,h4,h5 { font-weight: normal; margin-bottom: 5px; }
h2 { margin-top: 10px; padding-top: 0px; }
a { text-decoration: none; color: #fff; }
a:hover { color: #eee; }

.team-0 { color: #ccc; }
.team-1 { color: green; }
.team-2 { color: red; }
.team-destroyed { color: #777; font-style: italic; }

a.team-0 { color: #ccc; }
a.team-1 { color: green; }
a.team-2 { color: red; }
a.team-destroyed { color: #777; font-style: italic; }

.axisb {
	background-color: red;
	color: #fff;
	display: inline-block;
	padding: 1px 3px 1px 3px;
}
.alliedb {
	background-color: green;
	color: #fff;
	display: inline-block;
	padding: 1px 3px 1px 3px;
}

ul { list-style-type: square; list-style-position: inside; padding: 0px; }

header { background-color: #222; border-bottom: solid 1px #333; padding: 6px 26px 0px 26px; }
header h1 { margin: 0; float: left; font-size: 18px; padding: 6px 0px; }
header h1 a { text-decoration: none; color: inherit; }

#right {
	float: right;
	line-height: 1.5;
	padding: 8px 0px;
}
#right form {
	margin: 0;
	padding: 0;
}

container { display: block; width: 100%; background-color: #111; }
main { margin: auto; width: 85%; max-width: 1150px; padding-top: 10px; padding-bottom: 20px; }
main p a { text-decoration: underline; }

footer { 
	border-top: solid 1px #333;
	text-align: center;
	padding: 15px 25px;
	background-color:#191919;
	
}

nav { background-color: #191919; border-bottom: solid 1px #222; }
nav ul { 
	width: 85%;
	max-width: 1150px;
	padding: 0px;
	margin: 0px;
	margin: auto;
	display: block;
	list-style-type: none;
	overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
    position: relative;
}
nav ul li { display: inline-block; border-right: solid 1px #444; padding: 0px; margin: 0px; font-size: 16px; }
nav ul li:last-child { border-right: none; }
nav ul li a { padding: 10px 14px; color: #ddd; display: inline-block; height: auto; text-align: center; }
nav ul li a:hover { background-color: #1d1d1d; }
nav ul li a.active {
    color: #ddd;
    background-color: #333;
    font-weight: bold;
    box-shadow: inset 0px -4px 0px 0px #777;
}
nav ul li a.active:hover {
    color: #eee;
}
nav ul li a .material-symbols-outlined {
    vertical-align: middle;
    padding: 0px 10px 4px 0;
}

select,button,input {
	font-size: 14px;
	background-color: #333;
	border: solid 1px #444;
	font-family: 'Source Code Pro', sans-serif;
	color: #fff;
	display: inline-block;
	margin-left: 5px;
}
hr {
	background-color: #666;
	height: 1px;
	border: 0;
}

div.events {
	overflow-x: auto;
	overflow-y: hidden;
}
table.events {
	margin: 0;
	padding: 0;
	font-size: 14px;
	border-spacing: 0px;
	width: 100%;
}
table.events tr {
	margin: 5px 0px 5px 0px;
	padding: 3px 0px 3px 0px;
}
table.events td {
	padding-right: 2px;
	padding-left: 2px;
	vertical-align: top;
	padding-top: 4px;
	padding-bottom: 4px;
	border-bottom: solid 1px #333;
	text-align: center;
}
table.events td.left {
	text-align: left;
}
table.events td.right {
	text-align: right;
}
table.events th {
	background-color: #222;
	font-weight: normal;
	border-top: solid 1px #333;
	border-bottom: solid 1px #333;
	padding-top: 4px;
	padding-bottom: 4px;
}

.buttons {
	list-style-type: none; padding: 0; margin: 0 0 10px 0;
}
.buttons li {
	display: inline-block;
}
.buttons li a {
	padding: 6px 14px;
	background-color: #2c2c2c;
	display: inline-block;
	margin: 6px 0px 6px 0px;
}
.buttons li a:hover {
	background-color: #2f2f2f;
}
.buttons li a.active {
	background-color: #555;
}
.buttons li a.active:hover {
	background-color: #5c5c5c;
}

#buttons-mobile {
    display: none;
}

select#country {
	margin: 16px 0px 0px 0px;
	font-size: 16px;
}

#chart_container { width:100%; height: 65vh; position: relative; }
#chart_container_active {
	width:48%;
	height: 30vh;
	position:relative;
	float: right;
	clear: both;
	margin: 0px;
}

#signUpBox {
    background-color: #222;
    border: solid 1px #333;
    float: left;
    width: 48%;
    padding: 14px 12px 0px 12px;
    
    
}
#signUpBox h2 { margin-top: 0px; padding-top: 0px; }


#progressBar {
	width: 100%;
	margin: auto;
	margin-top: 10px;
	display: block;
}

#loadingPanel {
	display: block;
	width: 80%;
	max-width: 200px;
	margin: auto;
	text-align: center;
	position: absolute;
	top: 15%;
	left: 0;
	right: 0;
	background-color: #222;
	border: solid 1px #333;
	padding: 20px 30px;
}

#ssi_container { text-align: right; margin-bottom: -4px; }
#stay_signed_in { vertical-align: middle; }
#ssi_container label { vertical-align: middle; }

.overview-left {
	width: 49%;
	float: left;
	display: block;
}
.overview-right {
	width: 49%;
	float: right;
	display: block;
}
.overview-clear {
	clear: both;
}

.grid-container {
	
}
.grid-container > div.grid-region {
	background-color: #222;
	text-align: center;
	padding: 2px 0;
	font-size: 14px;
	margin-bottom: 8px;
}

.fac {
	background-color: #222;
	line-height:25px;
	padding: 0px;
	min-height: 25px;
	margin-bottom:8px;
}
.fac img {
	vertical-align: middle;
	margin-top:-2px;
}

.fac span.icon_axis {
	line-height: 25px;
	min-height: 25px;
	background-color: red;
	width: 25px;
	display: inline-block;
	text-align: center;
}
.fac span.icon_allied {
	line-height: 25px;
	min-height: 25px;
	background-color: green;
	width: 25px;
	display: inline-block;
	text-align: center;
}
.fac span.icon_neutral {
	line-height: 25px;
	min-height: 25px;
	background-color: #ccc;
	width: 25px;
	display: inline-block;
	text-align: center;
}
.fac-damage {
	line-height:normal;
	font-size:16px;
}

.float-left {
	float: left;
	width: 47%;
}
.float-right {
	float: right;
	width: 47%;
}

.distanceInput,.proxInput { margin: 10px 0px; }
#disTable,#proxTable { margin: 10px 0px 20px 0px; }
.rowHighlight {
	background-color: #444;
}

@media only screen and (max-width: 700px) {
	main { width: 98%; }
	header { padding: 0.5% 2%;}
	nav ul,.nav-extra ul { width: 100%; font-size: 14px; }
	#right { font-size: 14px; }
	header h1 { font-size: 20px; }
	#chart_container { height: 65%; }
	.overview-left #chart_container { height: 40%; }
	#chart_container_active,#signUpBox {
		width: 100%;
		margin: 10px 0px;
		box-sizing: border-box;
	}
	
	
	select#country { width: 100%; display: block; margin-top: 10px; }
	select.distanceInput,select.proxInput { width: 100%; display: block; }
	#buttons-mobile {
        display: block;
        width: 100%;
        margin: 14px 0 14px 0;
        font-size: 14px;
	}
	#buttons-desktop {
	    display: none;
	}
	.overview-left,.overview-right { width: 100%; display: block; }
	.float-left,.float-right { width: 100%; display: block; }
}

@media only screen and (max-width: 450px) {
    nav ul li a .material-symbols-outlined {
	    display: block;
	    clear: both;
	    padding-right: 0;
	    font-size: 20px;
	}
	nav ul li {
	    font-size: 14px;
	}
	nav ul li a {
	    min-width: 64px;
	    padding: 6px 8px;
	}
}